List drive models for a server model
To find out available disk models, perform a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/drive_models endpoint. The location and server model IDs are mandatory path parameters.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
media_type? | stringValue in: This type defines what disk drives will be taken to the output: |
interface? | stringValue in: Disk interfaces to be displayed in the output. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1591/order_options/server_models/2726/drive_models"[ { "id": 2723, "name": "ssd-model-1581", "capacity": 100, "interface": "SATA3", "form_factor": "2.5", "media_type": "SSD" }, { "id": 2724, "name": "hdd-model-1582", "capacity": 100, "interface": "SAS", "form_factor": "2.5", "media_type": "HDD" }]